Category: CRS
Has patch: Hito:
Description

Al intentar cargar un WMTS con CRS 3857 en una Vista con CRS de usuario 3857 da error.
El WMTS probado es:
http://maps.opengeo.org/geowebcache/service/wmts
Seleccionando la capa de OpenStreetMap

Adjunto log

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2740: OSM and PostGIS Ra... Closed 07/29/2014
Related to Application: gvSIG desktop - gvSIG bugs # 2739: Conversion between... Closed 07/29/2014

Associated revisions
Revision 2860 - 09/08/2014 03:06 PM - Francisco Díaz Carsí

refs #2793

History
#1 - 08/19/2014 05:10 AM - Álvaro Anguix
- gvSIG build set to 2245
- Target version set to 2.1.0-2259-rc3
- Assignee set to Joaquín  del Cerro Murciano
- Category set to CRS

#2 - 08/19/2014 05:10 AM - Álvaro Anguix
- Related to gvSIG bugs #2740: OSM and PostGIS Raster tabs become empty with USR:3857 added

#3 - 08/19/2014 06:10 AM - Antonio Falciano
Further info: 
    -  the layers can be loaded from the above mentioned WMTS URL using both USR:3857 and EPSG:3857 (available in the latest versions of EPSG
Registry, see #2728) as view CRS, even if there is another issue (#2724).
    -  the Web Mercator Proj.4 representation in gvSIG looks quite similar to the right one in the case of USR:3857, while is clearly wrong with
EPSG:3857 (see #2738). Consequently, the coordinate conversion between EPSG:3857 and EPSG:4326 is not well managed yet (see #2739).
#4 - 08/19/2014 11:30 AM - Antonio Falciano

Antonio Falciano wrote:
Further info:     -  the layers can be loaded from the above mentioned WMTS URL using both USR:3857 and EPSG:3857 (available in the latest
versions of EPSG Registry, see #2728) as view CRS, even if there is another issue (#2724).

Here, #2747 instead of #2724

    -  the Web Mercator Proj.4 representation in gvSIG looks quite similar to the right one in the case of USR:3857, while is clearly wrong with
EPSG:3857 (see #2738). Consequently, the coordinate conversion between EPSG:3857 and EPSG:4326 is not well managed yet (see #2739).

#5 - 08/20/2014 02:58 AM - Álvaro Anguix
- Related to gvSIG bugs #2739: Conversion between EPSG:3857 and EPSG:4326 doesn't match added

#6 - 09/08/2014 09:09 AM - Francisco Díaz Carsí

gvsig-raster:r2860 Corrección de uno de los errores que aparecen en el log, concretamente:

INFO MapControl Drawer Worker org.gvsig.raster.wmts.ogc.impl.struct.WMTSLayerImpl - I cannot get the transformation between EPSG:4326
and EPSG:4326
java.lang.NullPointerException
    at org.gvsig.raster.wmts.ogc.impl.struct.WMTSLayerImpl.getWGS84BBoxTransformed(WMTSLayerImpl.java:123)
    at org.gvsig.raster.wmts.io.WMTSProvider.getExtent(WMTSProvider.java:459)
    at org.gvsig.raster.wmts.io.WMTSProvider.getAffineTransform(WMTSProvider.java:419)
    at org.gvsig.raster.tilecache.io.TileProvider.getAffineTransform(TileProvider.java:514)

#7 - 09/30/2014 04:47 AM - Álvaro Anguix
- Status changed from New to Fixed

#8 - 10/02/2014 01:23 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2247-testing

#9 - 10/02/2014 01:25 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2247-testing to 2.1.0-2248-testing

#10 - 10/12/2014 04:48 AM - Antonio Falciano
- Status changed from Fixed to Closed

Because the WMTS layers can be loaded in EPSG:3857 (but not well projected, see #2739) and USR:3857 has been removed from OSM extension in
gvsig-osm:r120, I think that this ticket can be closed.
